List Webhook Endpoints
curl --request POST \
--url https://api.dashboard.knotapi.com/webhook-endpoints/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"environment": "development"
}
'import requests
url = "https://api.dashboard.knotapi.com/webhook-endpoints/list"
payload = { "environment": "development" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({environment: 'development'})
};
fetch('https://api.dashboard.knotapi.com/webhook-endpoints/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dashboard.knotapi.com/webhook-endpoints/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'environment' => 'development'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dashboard.knotapi.com/webhook-endpoints/list"
payload := strings.NewReader("{\n \"environment\": \"development\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dashboard.knotapi.com/webhook-endpoints/list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"environment\": \"development\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dashboard.knotapi.com/webhook-endpoints/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"environment\": \"development\"\n}"
response = http.request(request)
puts response.read_body{
"webhook_endpoints": [
{
"id": "0a8f5c6e-3d2b-4e1a-9f7c-8b6d5e4c3a21",
"url": "https://example.com/webhooks/knot",
"description": "Primary webhook listener",
"environment": "development",
"created_at": "2026-10-01T14:32:08Z"
},
{
"id": "5b7e2d14-9c3a-4f8e-b6d1-2a4c6e8f0b13",
"url": "https://staging.example.com/webhooks/knot",
"description": null,
"environment": "development",
"created_at": "2026-09-15T09:12:44Z"
}
]
}Webhook Endpoints
List Webhook Endpoints
List webhook endpoints in an environment.
POST
/
webhook-endpoints
/
list
List Webhook Endpoints
curl --request POST \
--url https://api.dashboard.knotapi.com/webhook-endpoints/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"environment": "development"
}
'import requests
url = "https://api.dashboard.knotapi.com/webhook-endpoints/list"
payload = { "environment": "development" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({environment: 'development'})
};
fetch('https://api.dashboard.knotapi.com/webhook-endpoints/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dashboard.knotapi.com/webhook-endpoints/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'environment' => 'development'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dashboard.knotapi.com/webhook-endpoints/list"
payload := strings.NewReader("{\n \"environment\": \"development\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dashboard.knotapi.com/webhook-endpoints/list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"environment\": \"development\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dashboard.knotapi.com/webhook-endpoints/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"environment\": \"development\"\n}"
response = http.request(request)
puts response.read_body{
"webhook_endpoints": [
{
"id": "0a8f5c6e-3d2b-4e1a-9f7c-8b6d5e4c3a21",
"url": "https://example.com/webhooks/knot",
"description": "Primary webhook listener",
"environment": "development",
"created_at": "2026-10-01T14:32:08Z"
},
{
"id": "5b7e2d14-9c3a-4f8e-b6d1-2a4c6e8f0b13",
"url": "https://staging.example.com/webhooks/knot",
"description": null,
"environment": "development",
"created_at": "2026-09-15T09:12:44Z"
}
]
}Authorizations
Short-lived access token from the device authorization flow. Expires after 15 minutes. Manages only the environment of the client ID it was issued for.
Body
application/json
The input parameters required for listing webhook endpoints.
The environment the webhook endpoint belongs to. Must match your access token's environment.
Available options:
development, production Example:
"development"
Response
Successful request.
Webhook endpoints, newest first.
Show child attributes
Show child attributes
Was this page helpful?